Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Multiplier - RG350860

Description

This block performs a multiplication and division on the input data (x).  It has a single output.

Although the multiplier (m) and divisor (d) inputs may be connected to other function blocks in the system, a new output is computed only when the input (x) receives a message.

The multiplier and the divisor are persistent.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Multiplier	Multiplier input to the block.  Expects a value (-100% to +100%).

Divisor	Divisor input to the block.  Expects a value (-100% to +100%).

Get Output	Returns the current value of the output:  -100% to +100%.

Get Multiplier	Returns the current value of the multiplier:  -100% to +100%.

Get Divisor	Returns the current value of the divisor:  -100% to +100%.


Description

This block performs a multiplication and division on the input data (x).  It has a single output.

Although the multiplier (m) and divisor (d) inputs may be connected to other function blocks in the system, a new output is computed only when the input (x) receives a message.

The multiplier and the divisor are persistent.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Multiplier	Multiplier input to the block.  Expects a value (-100% to +100%).

Divisor	Divisor input to the block.  Expects a value (-100% to +100%).

Get Output	Returns the current value of the output:  -100% to +100%.

Get Multiplier	Returns the current value of the multiplier:  -100% to +100%.

Get Divisor	Returns the current value of the divisor:  -100% to +100%.